ExplosionMark = {}
class('ExplosionMark').extends(NobleSprite)

function ExplosionMark:init(x, y)
    ExplosionMark.super.init(self)
    self.id = math.random(1, 2)
    self.markImage = Graphics.image.new("assets/sprites/boomSplash" .. self.id)
    self:setImage(self.markImage)
    self:moveTo(x, y)
    self:setZIndex(5)
    self:add(x, y)
end

function ExplosionMark:update()
    if not BomberScene.instance then return end
    self:moveBy(0, BomberScene.instance.scrollSpeed)
    
    if self.y > 240 + 32 then
        self:remove()
    end
end 